## org.eclipse.e4.xwt.input
Class CommandBinding

    java.lang.Object
      org.eclipse.e4.xwt.input.CommandBinding

    public class CommandBinding

extends java.lang.Object

Constructor Summary
`CommandBinding()`
`CommandBinding(ICommand command)`

Method Summary
`void` `addCanExecuteChangedListener(CanExecuteChangedListener listener)`
`void` `addExecuteChangedListener(CanExecuteChangedListener listener)`
`void` `fireCanExecuteChangedListener(java.beans.PropertyChangeEvent args)`
`void` `fireExecuteChangedListener(java.beans.PropertyChangeEvent args)`
`ICommand` `getCommand()`
`void` `removeCanExecuteChangedListener(CanExecuteChangedListener listener)`
`void` `removeExecuteChangedListener(CanExecuteChangedListener listener)`
`void` `setCommand(ICommand command)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandBinding

    public CommandBinding()

### CommandBinding

    public CommandBinding(ICommand command)

Method Detail

### getCommand

    public ICommand getCommand()

### setCommand

    public void setCommand(ICommand command)

### addCanExecuteChangedListener

    public void addCanExecuteChangedListener(CanExecuteChangedListener listener)

### removeCanExecuteChangedListener

    public void removeCanExecuteChangedListener(CanExecuteChangedListener listener)

### fireCanExecuteChangedListener

    public void fireCanExecuteChangedListener(java.beans.PropertyChangeEvent args)

### addExecuteChangedListener

    public void addExecuteChangedListener(CanExecuteChangedListener listener)

### removeExecuteChangedListener

    public void removeExecuteChangedListener(CanExecuteChangedListener listener)

### fireExecuteChangedListener

    public void fireExecuteChangedListener(java.beans.PropertyChangeEvent args)